BEGIN 9xHeal

IF~NumTimesTalkedTo(0) !Global("ISHHealerQuest","GLOBAL",99)~THEN BEGIN Healer000
SAY @0
IF~Global("ISHHealerQuest","GLOBAL",0)~THEN REPLY @1 GOTO Healer001
IF~~THEN REPLY @2 GOTO Healer002
IF~~THEN REPLY @3 GOTO Healer003
IF~~THEN REPLY @4 GOTO Healer004
IF~Global("ISHHealerQuest","GLOBAL",1) PartyHasItem("POTN52") PartyHasItem("RESTORE")~THEN REPLY @5 DO ~SetGlobal("ISHHealerQuest","GLOBAL",2)~ GOTO Healer005
END

IF~NumTimesTalkedToGT(0) !Global("ISHHealerQuest","GLOBAL",99)~THEN BEGIN Healer00A
SAY @6
IF~Global("ISHHealerQuest","GLOBAL",0)~THEN REPLY @7 GOTO Healer001
IF~~THEN REPLY @8 GOTO Healer002
IF~~THEN REPLY @9 GOTO Healer003
IF~~THEN REPLY @10 GOTO Healer004
IF~Global("ISHHealerQuest","GLOBAL",1) PartyHasItem("POTN52") PartyHasItem("RESTORE")~THEN REPLY @11 DO ~SetGlobal("ISHHealerQuest","GLOBAL",2)~ GOTO Healer005
END

IF~~THEN BEGIN Healer001
SAY @12
=
@13
IF~~THEN DO ~SetGlobal("ISHHealerQuest","GLOBAL",1)~ GOTO Healer006
END

IF~~THEN BEGIN Healer002
SAY @14
IF~~THEN DO ~StartStore("ISHHEAL",LastTalkedToBy())~ EXIT
END

IF~~THEN BEGIN Healer003
SAY @15
IF~~THEN GOTO Healer006
END

IF~~THEN BEGIN Healer005
SAY @16
IF~~THEN DO ~SetGlobal("ISHHealerQuest","GLOBAL",2) TakePartyItemNum("POTN52",1) TakePartyItemNum("RESTORE",1) GiveGoldForce(750) ReputationInc(1)~ EXIT
END

IF~~THEN BEGIN Healer006
SAY @17 
IF~Global("ISHHealerQuest","GLOBAL",0)~THEN REPLY @18 GOTO Healer001
IF~~THEN REPLY @19 GOTO Healer002
IF~~THEN REPLY @20 GOTO Healer003
IF~~THEN REPLY @21 GOTO Healer004
IF~Global("ISHHealerQuest","GLOBAL",1) PartyHasItem("POTN52") PartyHasItem("RESTORE")~THEN REPLY @22 DO ~SetGlobal("ISHHealerQuest","GLOBAL",2)~ GOTO Healer005
END

IF~~THEN BEGIN Healer004
SAY @23
IF~~THEN EXIT
END